Bug 73148 - Add Excel 2010 function AGGREGATE
Summary: Add Excel 2010 function AGGREGATE
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Winfried Donkers
URL:
Whiteboard: target:4.3.0 target:4.4.0
Keywords:
Depends on:
Blocks: 70798
  Show dependency treegraph
 
Reported: 2013-12-30 12:53 UTC by Winfried Donkers
Modified: 2015-03-24 10:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx document used for testing AGGREGATE function (8.12 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-04-17 19:59 UTC, Winfried Donkers
Details
xlsx document for unit tests of AGGREGATE function (8.98 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-05-16 10:56 UTC, Winfried Donkers
Details
aggregate bug or somthing (6.81 KB, patch)
2015-01-23 08:57 UTC, sevan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2013-12-30 12:53:59 UTC
See meta bug 70798 for details.
Comment 1 Winfried Donkers 2014-02-10 10:22:11 UTC
Basically, this is ODFF1.2 function SUBTOTAL with some added functions and options to make it complicated...
Comment 2 Kohei Yoshida 2014-04-14 15:58:14 UTC
Is it okay to change this to 'enhancement'?  This to me is an enhancement rather than a bug.
Comment 3 Winfried Donkers 2014-04-15 08:55:17 UTC
(In reply to comment #2)
> Is it okay to change this to 'enhancement'?  This to me is an enhancement
> rather than a bug.

I have no objection, but the original bug report about missing Excel 2010 functions was filed as a bug (non-compatibility or something).

BTW I hope to fix this one soon, so that 70798 can be closed too :-)
Comment 4 Winfried Donkers 2014-04-17 19:59:16 UTC
Created attachment 97532 [details]
xlsx document used for testing AGGREGATE function
Comment 5 Kohei Yoshida 2014-04-20 13:47:07 UTC
I'll change this to enhancement.  This will help me keep my list of bugs smaller when I run my bugzilla query. Thanks a lot for your help.
Comment 6 Commit Notification 2014-04-25 09:40:37 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29c9712b042e410e93e92dead15f353f6ca1e263

fdo#73148 (partial patch) Add Excel 2010 function AGGREGATE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-04-25 10:22:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c78e71903146acec47e0d32b23b9e5cc3e021a1

return early once we pushed an error, fdo#73148 related



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-04-25 10:22:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee75263f6c942c0a8f59beb84c21a98c141bc7f1

we need to push a return value in any case, fdo#73148 related



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Winfried Donkers 2014-05-16 10:56:08 UTC
Created attachment 99153 [details]
xlsx document for unit tests of AGGREGATE function

Attached document is to be used as unit test (separate or included in existing unit test document for Excel 2010 functions).
In the mean time I would like to use the document to verify the functionality when I add option (filters) support.

The document has been produced with Calc, so the reference block (C37:U45) contains mostly incorrect data.

The verify block verifies cells, columns, rows and th complete block.
Comment 10 Winfried Donkers 2014-05-16 10:59:26 UTC
(In reply to comment #9)
> Created attachment 99153 [details]
> xlsx document for unit tests of AGGREGATE function
> 
> Attached document is to be used as unit test (separate or included in
> existing unit test document for Excel 2010 functions).
> In the mean time I would like to use the document to verify the
> functionality when I add option (filters) support.
> 
> The document has been produced with Calc, so the reference block (C37:U45)
> contains mostly incorrect data.
> 
> The verify block verifies cells, columns, rows and th complete block.

@Eike,

Could you have a look at the attachment and convert it to an Excel written document?
And of course add useful comments?

I intend to support option 0 and 4 first (the easy ones).

With 19 functions and 7 options it will take some time to support all, including modifying SUBTOTAL()...
Comment 11 Commit Notification 2014-07-08 10:24:30 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08e3e6c223c266874a4acf3885997ea6426aa9bd

fdo#73148 add options to Calc function AGGREGATE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Mike §chinagl 2014-12-20 22:10:14 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

Added AGGREGATE spreadsheet function for Excel interoperability.
Comment 13 sevan 2015-01-23 08:57:29 UTC
Created attachment 112700 [details]
aggregate bug or somthing

bug
Comment 14 Winfried Donkers 2015-01-23 10:09:49 UTC
(In reply to sevan from comment #13)
> Created attachment 112700 [details] [review]
> aggregate bug or somthing
> 
> bug

@sevan:
If you want to report a bug, could you please create a new bug report and include a description of the bug (as well as attachment in this case)?
Could you please include me in the cc?
This bug report is about adding a new function and is closed.
Thank you.